summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Behnel <stefan_ml@behnel.de>2023-04-01 18:16:55 +0200
committerStefan Behnel <stefan_ml@behnel.de>2023-04-01 18:29:56 +0200
commite119129957f5df90daeda4f5d426962b290d07a6 (patch)
tree8e1fe49930e6b9143b82ee22d6afda56ece9a6eb
parent11b33a83ad689bd16bd0a98c14cda51a90572b73 (diff)
downloadpython-lxml-e119129957f5df90daeda4f5d426962b290d07a6.tar.gz
Try to fix wheel upload in CI.
-rw-r--r--.github/workflows/ci.yml2
-rw-r--r--tools/ci-run.sh12
2 files changed, 9 insertions, 5 deletions
diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index ac8be664..a426416f 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -201,7 +201,7 @@ jobs:
- name: Upload Wheel
uses: actions/upload-artifact@v3
- if: ${{ matrix.env.STATIC_DEPS == 'true' && env.COVERAGE == 'false' }}
+ if: ${{ matrix.env.STATIC_DEPS == 'true' }}
with:
name: wheels-${{ runner.os }}
path: dist/*.whl
diff --git a/tools/ci-run.sh b/tools/ci-run.sh
index afe521dc..ff256f9d 100644
--- a/tools/ci-run.sh
+++ b/tools/ci-run.sh
@@ -77,15 +77,19 @@ GITHUB_API_TOKEN="${SAVED_GITHUB_API_TOKEN}" \
ccache -s || true
# Run tests
+echo "Running the tests ..."
GITHUB_API_TOKEN="${SAVED_GITHUB_API_TOKEN}" \
CFLAGS="$TEST_CFLAGS $EXTRA_CFLAGS" \
LDFLAGS="$LDFLAGS $EXTRA_LDFLAGS" \
PYTHONUNBUFFERED=x \
make test || exit 1
-GITHUB_API_TOKEN="${SAVED_GITHUB_API_TOKEN}" \
- CFLAGS="$EXTRA_CFLAGS -O3 -g1 -mtune=generic -fPIC -flto" \
- LDFLAGS="-flto $EXTRA_LDFLAGS" \
- make clean wheel || exit 1
+if [[ "$COVERAGE" != "true" ]]; then
+ echo "Building a clean wheel ..."
+ GITHUB_API_TOKEN="${SAVED_GITHUB_API_TOKEN}" \
+ CFLAGS="$EXTRA_CFLAGS -O3 -g1 -mtune=generic -fPIC -flto" \
+ LDFLAGS="-flto $EXTRA_LDFLAGS" \
+ make clean wheel || exit 1
+fi
ccache -s || true